Hosted Venue Accounts

Get hosted venue account

GET
/users/me/venue-accounts/{venue}

Authorization

appIdbearerAuth
headerx-app-id<token>

Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.

headerAuthorizationBearer <JWT>

JWT access token from POST /auth/verify. Required with x-app-id on user routes. On the smart-route quote it is optional and turns a preview into an executable quote.

Path Parameters

venue*string

Query Parameters

mode?string
Value in"live""paper"

Response Body

200

application/json
  1. response
venue*"betdex"
Value in"betdex"
accountModel*"platform-hosted"
Value in"platform-hosted"
accountId*string
environment*string
Value in"sandbox""production"
status*string
Value in"not_created""provisioning""active""suspended""unavailable""disabled"
provisioningEnabled*boolean
fundingNetwork*"solana"
Value in"solana"
balanceStatus*string
Value in"available""unavailable""not_applicable"
balance*
Example Request
curl -X GET 'https://api.t.sufwankhalid.com/users/me/venue-accounts/string'
Example Response
{  "venue": "betdex",  "accountModel": "platform-hosted",  "accountId": "string",  "environment": "sandbox",  "status": "not_created",  "provisioningEnabled": true,  "fundingNetwork": "solana",  "balanceStatus": "available",  "balance": {    "asset": "USDC",    "decimals": 6,    "totalRaw": "string",    "availableRaw": "string",    "unmatchedExposureRaw": "string",    "updatedAt": "2019-08-24T14:15:22Z"  }}